## tqdm 4.4.1

=== debian/changelog ===
tqdm (4.4.1-1~nd70+1) wheezy; urgency=medium

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 26 May 2016 10:06:30 -0400

tqdm (4.4.1-1) unstable; urgency=low

  * Initial release; Closes: #821174

 -- Sandro Tosi <morph@debian.org>  Sat, 23 Apr 2016 13:43:49 +0100

=== debian/rules ===
#!/usr/bin/make -f

LIB2 := $(shell python  -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)")
LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)")

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	python  setup.py build
	python3 setup.py build

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# tests/ dir is not copied, so we do that, else we cant run the tests in the build dir
	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB2)/tqdm/
	nosetests $(LIB2)/tqdm/
	rm -rf $(CURDIR)/$(LIB2)/tqdm/tests/

	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB3)/tqdm/
	nosetests3 $(LIB3)/tqdm/
	rm -rf $(CURDIR)/$(LIB3)/tqdm/tests/
endif

override_dh_auto_install:
	python  setup.py install --root=debian/python-tqdm  --install-layout=deb
	# cli tools are provided only by the py3k package
	rm -rf $(CURDIR)/debian/python-tqdm/usr/bin
	python3 setup.py install --root=debian/python3-tqdm --install-layout=deb

override_dh_installdocs:
	dh_installdocs -A CONTRIBUTE README.rst RELEASE

override_dh_installexamples:
	dh_installexamples -A examples/*.py

## tqdm 4.7.4

=== debian/changelog ===
tqdm (4.7.4-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - dont install RELEASE, removed upstream

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jun 2016 19:18:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	python3 setup.py install --root=debian/python3-tqdm --install-layout=deb
 
 override_dh_installdocs:
-	dh_installdocs -A CONTRIBUTE README.rst RELEASE
+	dh_installdocs -A CONTRIBUTE README.rst
 
 override_dh_installexamples:
 	dh_installexamples -A examples/*.py

## tqdm 4.8.4

=== Makefile ===
# IMPORTANT: for compatibility with `python setup.py make [alias]`, ensure:
# 1. Every alias is preceded by @[+]make (eg: @make alias)
# 2. A maximum of one @make alias or command per line
#
# Sample makefile compatible with `python setup.py make`:
#```
#all:
#	@make test
#	@make install
#test:
#	nosetest
#install:
#	python setup.py install
#```

.PHONY:
	alltests
	all
	flake8
	test
	testnose
	testsetup
	testcoverage
	testperf
	testtimer
	distclean
	coverclean
	prebuildclean
	clean
	installdev
	install
	build
	pypimeta
	pypi
	none

help:
	@python setup.py make

alltests:
	@+make testcoverage
	@+make testperf
	@+make flake8
	@+make testsetup

all:
	@+make alltests
	@+make build

flake8:
	@+flake8 --max-line-length=80 --count --statistics --exit-zero tqdm/
	@+flake8 --max-line-length=80 --count --statistics --exit-zero examples/
	@+flake8 --max-line-length=80 --count --statistics --exit-zero .
	@+flake8 --max-line-length=80 --count --statistics --exit-zero tqdm/tests/

test:
	tox --skip-missing-interpreters

testnose:
	nosetests tqdm -d -v

testsetup:
	python setup.py check --restructuredtext --strict
	python setup.py make none

testcoverage:
	@make coverclean
	nosetests tqdm --with-coverage --cover-package=tqdm --cover-erase --cover-min-percentage=80 --ignore-files="tests_perf\.py" -d -v

testperf:  # do not use coverage (which is extremely slow)
	nosetests tqdm/tests/tests_perf.py -d -v

testtimer:
	nosetests tqdm --with-timer -d -v

distclean:
	@+make coverclean
	@+make prebuildclean
	@+make clean
prebuildclean:
	@+python -c "import shutil; shutil.rmtree('build', True)"
	@+python -c "import shutil; shutil.rmtree('dist', True)"
	@+python -c "import shutil; shutil.rmtree('tqdm.egg-info', True)"
coverclean:
	@+python -c "import os; os.remove('.coverage') if os.path.exists('.coverage') else None"
clean:
	@+python -c "import os; import glob; [os.remove(i) for i in glob.glob('*.py[co]')]"
	@+python -c "import os; import glob; [os.remove(i) for i in glob.glob('tqdm/*.py[co]')]"
	@+python -c "import os; import glob; [os.remove(i) for i in glob.glob('tqdm/tests/*.py[co]')]"

installdev:
	python setup.py develop --uninstall
	python setup.py develop

install:
	python setup.py install

build:
	@make prebuildclean
	python setup.py sdist --formats=gztar,zip bdist_wheel
	python setup.py bdist_wininst

pypimeta:
	python setup.py register

pypi:
	twine upload dist/*

buildupload:
	@make testsetup
	@make build
	@make pypimeta
	@make pypi

none:
	# used for unit testing

=== debian/changelog ===
tqdm (4.8.4-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Oct 2016 16:24:18 -0400

## tqdm 4.10.0

=== debian/changelog ===
tqdm (4.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Dec 2016 18:37:28 -0500

## tqdm 4.11.1

=== debian/changelog ===
tqdm (4.11.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - install CONTRIBUTING.md as doc
    - run performance tests in a separate, non-failing, command; Closes: #851591

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2017 16:13:28 -0500

## tqdm 4.11.2

=== Makefile ===
--- 
+++ 
@@ -48,10 +48,7 @@
 	@+make build
 
 flake8:
-	@+flake8 --max-line-length=80 --count --statistics --exit-zero tqdm/
-	@+flake8 --max-line-length=80 --count --statistics --exit-zero examples/
-	@+flake8 --max-line-length=80 --count --statistics --exit-zero .
-	@+flake8 --max-line-length=80 --count --statistics --exit-zero tqdm/tests/
+	@+flake8 --max-line-length=80 --count --statistics --exit-zero -j 8 --exclude .asv .
 
 test:
 	tox --skip-missing-interpreters
@@ -73,6 +70,18 @@
 testtimer:
 	nosetests tqdm --with-timer -d -v
 
+testasv:
+	asv run -j 8 HEAD~3..HEAD
+	@make viewasv
+
+testasvfull:
+	asv run -j 8 v1.0.0..master
+	@make testasv
+
+viewasv:
+	asv publish
+	asv preview
+
 distclean:
 	@+make coverclean
 	@+make prebuildclean
@@ -87,6 +96,7 @@
 	@+python -c "import os; import glob; [os.remove(i) for i in glob.glob('*.py[co]')]"
 	@+python -c "import os; import glob; [os.remove(i) for i in glob.glob('tqdm/*.py[co]')]"
 	@+python -c "import os; import glob; [os.remove(i) for i in glob.glob('tqdm/tests/*.py[co]')]"
+	@+python -c "import os; import glob; [os.remove(i) for i in glob.glob('tqdm/examples/*.py[co]')]"
 
 installdev:
 	python setup.py develop --uninstall

=== debian/changelog ===
tqdm (4.11.2-1) unstable; urgency=medium

  * New upstream release; Closes: #849632

 -- Sandro Tosi <morph@debian.org>  Mon, 23 Jan 2017 19:30:01 -0500

=== debian/control ===
Source: tqdm
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools, python-docopt, python3-docopt, python-nose, python3-nose
Standards-Version: 3.9.8
Homepage: https://github.com/tqdm/tqdm
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/tqdm.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/tqdm.git

Package: python-tqdm
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: fast, extensible progress bar for Python 2
 tqdm (read taqadum, تقدّم) means “progress” in Arabic.  tqdm instantly makes
 your loops show a smart progress meter, just by wrapping any iterable with
 "tqdm(iterable)".
 .
 This package contains the Python 2 version of tqdm .

Package: python3-tqdm
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: fast, extensible progress bar for Python 3 and CLI tool
 tqdm (read taqadum, تقدّم) means “progress” in Arabic.  tqdm instantly makes
 your loops show a smart progress meter, just by wrapping any iterable with
 "tqdm(iterable)".
 .
 This package contains the Python 3 version of tqdm and its command-line tool.

=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,15 @@
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	# tests/ dir is not copied, so we do that, else we cant run the tests in the build dir
 	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB2)/tqdm/
-	nosetests $(LIB2)/tqdm/
+	# run perf tests in a separate, non-failing, line
+	nosetests -Itests_perf.py $(LIB2)/tqdm/
+	-nosetests $(LIB2)/tqdm/tests/tests_perf.py
 	rm -rf $(CURDIR)/$(LIB2)/tqdm/tests/
 
 	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB3)/tqdm/
-	nosetests3 $(LIB3)/tqdm/
+	# run perf tests in a separate, non-failing, line
+	nosetests3 -Itests_perf.py $(LIB3)/tqdm/
+	-nosetests3 $(LIB3)/tqdm/tests/tests_perf.py
 	rm -rf $(CURDIR)/$(LIB3)/tqdm/tests/
 endif
 
@@ -29,7 +33,7 @@
 	python3 setup.py install --root=debian/python3-tqdm --install-layout=deb
 
 override_dh_installdocs:
-	dh_installdocs -A CONTRIBUTE README.rst
+	dh_installdocs -A CONTRIBUTING.md README.rst
 
 override_dh_installexamples:
 	dh_installexamples -A examples/*.py

## tqdm 4.19.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # IMPORTANT: for compatibility with `python setup.py make [alias]`, ensure:
 # 1. Every alias is preceded by @[+]make (eg: @make alias)
 # 2. A maximum of one @make alias or command per line
+# 3. Only use tabs, not spaces to indent (compatibility with linux make)
 #
 # Sample makefile compatible with `python setup.py make`:
 #```
@@ -48,7 +49,7 @@
 	@+make build
 
 flake8:
-	@+flake8 --max-line-length=80 --count --statistics --exit-zero -j 8 --exclude .asv .
+	@+flake8 --max-line-length=80 --count --statistics --exit-zero -j 8 --exclude .asv,.tox .
 
 test:
 	tox --skip-missing-interpreters
@@ -64,23 +65,33 @@
 	@make coverclean
 	nosetests tqdm --with-coverage --cover-package=tqdm --cover-erase --cover-min-percentage=80 --ignore-files="tests_perf\.py" -d -v
 
-testperf:  # do not use coverage (which is extremely slow)
+testperf:
+	# do not use coverage (which is extremely slow)
 	nosetests tqdm/tests/tests_perf.py -d -v
 
 testtimer:
 	nosetests tqdm --with-timer -d -v
 
+# another performance test, to check evolution across commits
 testasv:
+	# Test only the last 3 commits (quick test)
 	asv run -j 8 HEAD~3..HEAD
 	@make viewasv
 
 testasvfull:
+	# Test all the commits since the beginning (full test)
 	asv run -j 8 v1.0.0..master
 	@make testasv
 
 viewasv:
 	asv publish
 	asv preview
+
+tqdm.1: tqdm.1.md
+	python -m tqdm --help | tail -n+5 | cat "$<" - |\
+    sed -r 's/^  (--.*)=<(.*)>  : (.*)$$/\n\\\1=*\2*\n: \3./' |\
+    sed -r 's/  (-.*, --.*)  /\n\1\n: /' |\
+    pandoc -o "$@" -s -t man
 
 distclean:
 	@+make coverclean
@@ -91,12 +102,12 @@
 	@+python -c "import shutil; shutil.rmtree('dist', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm.egg-info', True)"
 coverclean:
-	@+python -c "import os; os.remove('.coverage') if os.path.exists('.coverage') else None"
+	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('.coverage')]"
 clean:
-	@+python -c "import os; import glob; [os.remove(i) for i in glob.glob('*.py[co]')]"
-	@+python -c "import os; import glob; [os.remove(i) for i in glob.glob('tqdm/*.py[co]')]"
-	@+python -c "import os; import glob; [os.remove(i) for i in glob.glob('tqdm/tests/*.py[co]')]"
-	@+python -c "import os; import glob; [os.remove(i) for i in glob.glob('tqdm/examples/*.py[co]')]"
+	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('*.py[co]')]"
+	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/*.py[co]')]"
+	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/tests/*.py[co]')]"
+	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/examples/*.py[co]')]"
 
 installdev:
 	python setup.py develop --uninstall

=== debian/changelog ===
tqdm (4.19.5-1) unstable; urgency=medium

  * New upstream release; Closes: #885898
  * debian/copyright
    - extend packaging copyright notice
    - update upstream copyright information
  * debian/control
    - bump Standards-Version to 4.1.3 (no changes needed)
  * debian/rules
    - install tqdm manpage only in py3k package
    - install all examples and dont compress files with py extension
    - run tests in verbose mode

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Dec 2017 22:44:14 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools, python-docopt, python3-docopt, python-nose, python3-nose
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/tqdm/tqdm
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/tqdm.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/tqdm.git

=== debian/rules ===
--- 
+++ 
@@ -15,25 +15,32 @@
 	# tests/ dir is not copied, so we do that, else we cant run the tests in the build dir
 	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB2)/tqdm/
 	# run perf tests in a separate, non-failing, line
-	nosetests -Itests_perf.py $(LIB2)/tqdm/
-	-nosetests $(LIB2)/tqdm/tests/tests_perf.py
+	nosetests --verbose -Itests_perf.py $(LIB2)/tqdm/
+	-nosetests --verbose $(LIB2)/tqdm/tests/tests_perf.py
 	rm -rf $(CURDIR)/$(LIB2)/tqdm/tests/
 
 	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB3)/tqdm/
 	# run perf tests in a separate, non-failing, line
-	nosetests3 -Itests_perf.py $(LIB3)/tqdm/
-	-nosetests3 $(LIB3)/tqdm/tests/tests_perf.py
+	nosetests3 --verbose -Itests_perf.py $(LIB3)/tqdm/
+	-nosetests3 --verbose $(LIB3)/tqdm/tests/tests_perf.py
 	rm -rf $(CURDIR)/$(LIB3)/tqdm/tests/
 endif
 
 override_dh_auto_install:
 	python  setup.py install --root=debian/python-tqdm  --install-layout=deb
-	# cli tools are provided only by the py3k package
+	python3 setup.py install --root=debian/python3-tqdm --install-layout=deb
+	# cli tools and manpage re provided only by the py3k package
 	rm -rf $(CURDIR)/debian/python-tqdm/usr/bin
-	python3 setup.py install --root=debian/python3-tqdm --install-layout=deb
+	rm -rf $(CURDIR)/debian/*/usr/man
+
+override_dh_installman:
+	dh_installman -ppython3-tqdm tqdm.1
 
 override_dh_installdocs:
 	dh_installdocs -A CONTRIBUTING.md README.rst
 
 override_dh_installexamples:
-	dh_installexamples -A examples/*.py
+	dh_installexamples -A examples/*
+
+override_dh_compress:
+	dh_compress -X.py

## tqdm 4.23.4

=== debian/changelog ===
tqdm (4.23.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 08 Jun 2018 16:33:14 -0400

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python, python3, dh-python, python-setuptools, python3-setuptools, python-docopt, python3-docopt, python-nose, python3-nose
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/tqdm/tqdm
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/tqdm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/tqdm.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/tqdm.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/tqdm
 
 Package: python-tqdm
 Architecture: all

## tqdm 4.28.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # IMPORTANT: for compatibility with `python setup.py make [alias]`, ensure:
 # 1. Every alias is preceded by @[+]make (eg: @make alias)
 # 2. A maximum of one @make alias or command per line
-# 3. Only use tabs, not spaces to indent (compatibility with linux make)
 #
 # Sample makefile compatible with `python setup.py make`:
 #```
@@ -31,7 +30,6 @@
 	installdev
 	install
 	build
-	pypimeta
 	pypi
 	none
 
@@ -49,7 +47,7 @@
 	@+make build
 
 flake8:
-	@+flake8 --max-line-length=80 --count --statistics --exit-zero -j 8 --exclude .asv,.tox .
+	@+flake8 --max-line-length=80 --exclude .asv,.tox -j 8 --count --statistics --exit-zero .
 
 test:
 	tox --skip-missing-interpreters
@@ -87,7 +85,7 @@
 	asv publish
 	asv preview
 
-tqdm.1: tqdm.1.md
+tqdm/tqdm.1: .tqdm.1.md
 	python -m tqdm --help | tail -n+5 | cat "$<" - |\
     sed -r 's/^  (--.*)=<(.*)>  : (.*)$$/\n\\\1=*\2*\n: \3./' |\
     sed -r 's/  (-.*, --.*)  /\n\1\n: /' |\
@@ -102,27 +100,34 @@
 	@+python -c "import shutil; shutil.rmtree('dist', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm.egg-info', True)"
 coverclean:
-	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('.coverage')]"
+	@+python -c "import os; os.remove('.coverage') if os.path.exists('.coverage') else None"
+	@+python -c "import shutil; shutil.rmtree('tqdm/__pycache__', True)"
+	@+python -c "import shutil; shutil.rmtree('tqdm/tests/__pycache__', True)"
 clean:
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/tests/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/examples/*.py[co]')]"
+toxclean:
+	@+python -c "import shutil; shutil.rmtree('.tox', True)"
+
 
 installdev:
 	python setup.py develop --uninstall
 	python setup.py develop
+submodules:
+	git clone git@github.com:tqdm/tqdm.wiki wiki
+	git clone git@github.com:tqdm/tqdm.github.io docs
+	git clone git@github.com:conda-forge/tqdm-feedstock feedstock
+	cd feedstock && git remote add autotick-bot git@github.com:regro-cf-autotick-bot/tqdm-feedstock
 
 install:
 	python setup.py install
 
 build:
 	@make prebuildclean
-	python setup.py sdist --formats=gztar,zip bdist_wheel
-	python setup.py bdist_wininst
-
-pypimeta:
-	python setup.py register
+	python setup.py sdist bdist_wheel
+	# python setup.py bdist_wininst
 
 pypi:
 	twine upload dist/*
@@ -130,7 +135,6 @@
 buildupload:
 	@make testsetup
 	@make build
-	@make pypimeta
 	@make pypi
 
 none:

=== debian/changelog ===
tqdm (4.28.1-1ubuntu1) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Aug 2019 10:32:30 -0700

tqdm (4.28.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * New upstream release
  * debian/rules
    - new location of manpage
  * debian/control
    - bump Standards-Version to 4.2.1 (no changes needed)
    - add pandas to b-d, needed by tests
  * debian/patches/0001-skip-tests.patch
    - skip some failing tests

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Dec 2018 15:11:24 -0500

=== debian/control ===
Source: tqdm
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python3, dh-python, python3-setuptools, python3-docopt, python3-nose, python3-pandas
Standards-Version: 4.2.1
Homepage: https://github.com/tqdm/tqdm
Vcs-Git: https://salsa.debian.org/python-team/modules/tqdm.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/tqdm

Package: python3-tqdm
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: fast, extensible progress bar for Python 3 and CLI tool
 tqdm (read taqadum, تقدّم) means “progress” in Arabic.  tqdm instantly makes
 your loops show a smart progress meter, just by wrapping any iterable with
 "tqdm(iterable)".
 .
 This package contains the Python 3 version of tqdm and its command-line tool.

=== debian/rules ===
#!/usr/bin/make -f

LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)")

%:
	dh $@ --with python3

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# tests/ dir is not copied, so we do that, else we cant run the tests in the build dir
	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB3)/tqdm/
	# run perf tests in a separate, non-failing, line
	nosetests3 --verbose -Itests_perf.py $(LIB3)/tqdm/
	-nosetests3 --verbose $(LIB3)/tqdm/tests/tests_perf.py
	rm -rf $(CURDIR)/$(LIB3)/tqdm/tests/
endif

override_dh_auto_install:
	python3 setup.py install --root=debian/python3-tqdm --install-layout=deb
	# manpage handled separately
	rm -rf $(CURDIR)/debian/*/usr/man

override_dh_installman:
	dh_installman -ppython3-tqdm tqdm/tqdm.1

override_dh_installdocs:
	dh_installdocs -A CONTRIBUTING.md README.rst

override_dh_installexamples:
	dh_installexamples -A examples/*

override_dh_compress:
	dh_compress -X.py

## tqdm 4.30.0

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,7 @@
 # IMPORTANT: for compatibility with `python setup.py make [alias]`, ensure:
 # 1. Every alias is preceded by @[+]make (eg: @make alias)
 # 2. A maximum of one @make alias or command per line
-#
-# Sample makefile compatible with `python setup.py make`:
-#```
-#all:
-#	@make test
-#	@make install
-#test:
-#	nosetest
-#install:
-#	python setup.py install
-#```
+# see: https://github.com/tqdm/py-make/issues/1
 
 .PHONY:
 	alltests
@@ -27,14 +17,17 @@
 	coverclean
 	prebuildclean
 	clean
+	toxclean
 	installdev
 	install
 	build
+	buildupload
 	pypi
+	help
 	none
 
 help:
-	@python setup.py make
+	@python setup.py make -p
 
 alltests:
 	@+make testcoverage
@@ -47,7 +40,8 @@
 	@+make build
 
 flake8:
-	@+flake8 --max-line-length=80 --exclude .asv,.tox -j 8 --count --statistics --exit-zero .
+	@+flake8 --max-line-length=80 --exclude .asv,.tox,.ipynb_checkpoints,build \
+    -j 8 --count --statistics --exit-zero .
 
 test:
 	tox --skip-missing-interpreters
@@ -86,9 +80,11 @@
 	asv preview
 
 tqdm/tqdm.1: .tqdm.1.md
-	python -m tqdm --help | tail -n+5 | cat "$<" - |\
-    sed -r 's/^  (--.*)=<(.*)>  : (.*)$$/\n\\\1=*\2*\n: \3./' |\
-    sed -r 's/  (-.*, --.*)  /\n\1\n: /' |\
+	python -m tqdm --help | tail -n+5 |\
+    sed -r -e 's/\\/\\\\/g' \
+      -e 's/^  (--.*)=<(.*)>  : (.*)$$/\n\\\1=*\2*\n: \3./' \
+      -e 's/  (-.*, )(--.*)  /\n\1\\\2\n: /' |\
+    cat "$<" - |\
     pandoc -o "$@" -s -t man
 
 distclean:

=== debian/changelog ===
tqdm (4.30.0-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - update to new upstream code
  * debian/patches/0001-skip-tests.patch
    - update patch to new upstream code
  * Drop python2 support; Closes: #938681
  * debian/control
    - bump Standards-Version to 4.4.1 (no changes needed)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Sandro Tosi <morph@debian.org>  Sun, 06 Oct 2019 13:51:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: tqdm
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), python3, dh-python, python3-setuptools, python3-docopt, python3-nose, python3-pandas
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 9), python3, dh-python, python3-setuptools, python3-docopt, python3-nose, python3-pandas
+Standards-Version: 4.4.1
 Homepage: https://github.com/tqdm/tqdm
 Vcs-Git: https://salsa.debian.org/python-team/modules/tqdm.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/tqdm

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 LIB3 := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)")
 
 %:
-	dh $@ --with python3
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	python3 setup.py build
@@ -20,8 +20,7 @@
 
 override_dh_auto_install:
 	python3 setup.py install --root=debian/python3-tqdm --install-layout=deb
-	# manpage handled separately
-	rm -rf $(CURDIR)/debian/*/usr/man
+	# cli tools and manpage re provided only by the py3k package
 
 override_dh_installman:
 	dh_installman -ppython3-tqdm tqdm/tqdm.1

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tqdm/tqdm-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tqdm 4.48.1

=== debian/changelog ===
tqdm (4.48.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - dont run the test_comppath test, requires tqdm to be installed
  * debian/control
    - wrap-and-sort
    - bump Standards-Version to 4.5.0 (no changes needed)
    - bump compat level to 13

 -- Sandro Tosi <morph@debian.org>  Mon, 03 Aug 2020 01:35:20 -0400

tqdm (4.43.0-1) unstable; urgency=medium

  * New upstream release; Closes: #951982
  * debian/copyright
    - update upstream copyright notice
    - extend packaging copyright years
  * debian/patches/0001-skip-tests.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Wed, 04 Mar 2020 22:47:05 -0500

## tqdm 4.48.2

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	testtimer
 	distclean
 	coverclean
+	pre-commit
 	prebuildclean
 	clean
 	toxclean
@@ -23,8 +24,11 @@
 	build
 	buildupload
 	pypi
+	snap
+	docker
 	help
 	none
+	run
 
 help:
 	@python setup.py make -p
@@ -40,17 +44,20 @@
 	@+make build
 
 flake8:
-	@+flake8 --max-line-length=80 --exclude .asv,.tox,.ipynb_checkpoints,build \
-    -j 8 --count --statistics --exit-zero .
+	@+flake8 -j 8 --count --statistics --exit-zero .
 
 test:
-	tox --skip-missing-interpreters
+	TOX_SKIP_ENV=perf tox --skip-missing-interpreters -p all
+	tox -e perf
 
 testnose:
 	nosetests tqdm -d -v
 
 testsetup:
-	python setup.py check --restructuredtext --strict
+	@make README.rst
+	@make tqdm/tqdm.1
+	@make tqdm/completion.sh
+	python setup.py check --metadata --restructuredtext --strict
 	python setup.py make none
 
 testcoverage:
@@ -72,14 +79,15 @@
 
 testasvfull:
 	# Test all the commits since the beginning (full test)
-	asv run -j 8 v1.0.0..master
+	asv run --skip-existing-commits -j 8 v1.0.0..HEAD
 	@make testasv
 
 viewasv:
 	asv publish
 	asv preview
 
-tqdm/tqdm.1: .tqdm.1.md
+tqdm/tqdm.1: .meta/.tqdm.1.md tqdm/cli.py tqdm/std.py
+	# TODO: add to mkdocs.py
 	python -m tqdm --help | tail -n+5 |\
     sed -r -e 's/\\/\\\\/g' \
       -e 's/^  (--.*)=<(.*)>  : (.*)$$/\n\\\1=*\2*\n: \3./' \
@@ -87,10 +95,32 @@
     cat "$<" - |\
     pandoc -o "$@" -s -t man
 
+tqdm/completion.sh: .meta/mkcompletion.py tqdm/std.py tqdm/cli.py
+	@python .meta/mkcompletion.py
+
+README.rst: .meta/.readme.rst tqdm/std.py tqdm/cli.py
+	@python .meta/mkdocs.py
+
+snapcraft.yaml: .meta/.snapcraft.yml
+	cat "$<" | sed -e 's/{version}/'"`python -m tqdm --version`"'/g' \
+    -e 's/{commit}/'"`git describe --always`"'/g' \
+    -e 's/{source}/./g' -e 's/{icon}/logo.png/g' \
+    -e 's/{description}/https:\/\/tqdm.github.io/g' > "$@"
+
+.dockerignore: .gitignore
+	cat $^ > "$@"
+	echo ".git" > "$@"
+	git clean -xdn | sed -nr 's/^Would remove (.*)$$/\1/p' >> "$@"
+
 distclean:
 	@+make coverclean
 	@+make prebuildclean
 	@+make clean
+pre-commit:
+	# quick sanity checks
+	@make testsetup
+	flake8 -j 8 --count --statistics tqdm/ examples/
+	nosetests tqdm --ignore-files="tests_(perf|keras)\.py" -e "pandas|monitoring" -d
 prebuildclean:
 	@+python -c "import shutil; shutil.rmtree('build', True)"
 	@+python -c "import shutil; shutil.rmtree('dist', True)"
@@ -98,10 +128,12 @@
 coverclean:
 	@+python -c "import os; os.remove('.coverage') if os.path.exists('.coverage') else None"
 	@+python -c "import shutil; shutil.rmtree('tqdm/__pycache__', True)"
+	@+python -c "import shutil; shutil.rmtree('tqdm/contrib/__pycache__', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm/tests/__pycache__', True)"
 clean:
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/*.py[co]')]"
+	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/contrib/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/tests/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/examples/*.py[co]')]"
 toxclean:
@@ -122,6 +154,7 @@
 
 build:
 	@make prebuildclean
+	@make testsetup
 	python setup.py sdist bdist_wheel
 	# python setup.py bdist_wininst
 
@@ -129,9 +162,20 @@
 	twine upload dist/*
 
 buildupload:
-	@make testsetup
 	@make build
 	@make pypi
 
+snap:
+	@make -B snapcraft.yaml
+	snapcraft
+docker:
+	@make .dockerignore
+	@make coverclean
+	@make clean
+	docker build . -t tqdm/tqdm
+	docker tag tqdm/tqdm:latest tqdm/tqdm:$(shell docker run -i --rm tqdm/tqdm -v)
 none:
 	# used for unit testing
+
+run:
+	python -Om tqdm --help

=== debian/changelog ===
tqdm (4.48.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 18 Aug 2020 22:52:19 -0300

=== debian/control ===
Source: tqdm
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-docopt,
               python3-nose,
               python3-pandas,
               python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/tqdm/tqdm
Vcs-Git: https://salsa.debian.org/python-team/modules/tqdm.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/tqdm

Package: python3-tqdm
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: fast, extensible progress bar for Python 3 and CLI tool
 tqdm (read taqadum, تقدّم) means “progress” in Arabic.  tqdm instantly makes
 your loops show a smart progress meter, just by wrapping any iterable with
 "tqdm(iterable)".
 .
 This package contains the Python 3 version of tqdm and its command-line tool.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	# tests/ dir is not copied, so we do that, else we cant run the tests in the build dir
 	cp -r $(CURDIR)/tqdm/tests/ $(CURDIR)/$(LIB3)/tqdm/
 	# run perf tests in a separate, non-failing, line
-	nosetests3 --verbose -Itests_perf.py $(LIB3)/tqdm/
+	nosetests3 --verbose -Itests_perf.py -etest_comppath $(LIB3)/tqdm/
 	-nosetests3 --verbose $(LIB3)/tqdm/tests/tests_perf.py
 	rm -rf $(CURDIR)/$(LIB3)/tqdm/tests/
 endif

## tqdm 4.51.0

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	all
 	flake8
 	test
-	testnose
+	pytest
 	testsetup
 	testcoverage
 	testperf
@@ -50,8 +50,8 @@
 	TOX_SKIP_ENV=perf tox --skip-missing-interpreters -p all
 	tox -e perf
 
-testnose:
-	nosetests tqdm -d -v
+pytest:
+	pytest
 
 testsetup:
 	@make README.rst
@@ -62,14 +62,14 @@
 
 testcoverage:
 	@make coverclean
-	nosetests tqdm --with-coverage --cover-package=tqdm --cover-erase --cover-min-percentage=80 --ignore-files="tests_perf\.py" -d -v
+	pytest -k "not tests_perf" --cov=tqdm --cov-fail-under=80
 
 testperf:
 	# do not use coverage (which is extremely slow)
-	nosetests tqdm/tests/tests_perf.py -d -v
+	pytest -k tests_perf
 
 testtimer:
-	nosetests tqdm --with-timer -d -v
+	pytest --durations=10
 
 # another performance test, to check evolution across commits
 testasv:
@@ -91,6 +91,7 @@
 	python -m tqdm --help | tail -n+5 |\
     sed -r -e 's/\\/\\\\/g' \
       -e 's/^  (--.*)=<(.*)>  : (.*)$$/\n\\\1=*\2*\n: \3./' \
+      -e 's/^  (--.*)  : (.*)$$/\n\\\1\n: \2./' \
       -e 's/  (-.*, )(--.*)  /\n\1\\\2\n: /' |\
     cat "$<" - |\
     pandoc -o "$@" -s -t man
@@ -118,23 +119,25 @@
 	@+make clean
 pre-commit:
 	# quick sanity checks
-	@make testsetup
-	flake8 -j 8 --count --statistics tqdm/ examples/
-	nosetests tqdm --ignore-files="tests_(perf|keras)\.py" -e "pandas|monitoring" -d
+	@make --no-print-directory testsetup
+	flake8 -j 8 --count --statistics tqdm/ tests/ examples/
+	pytest -qq -k "basic_overhead or not (perf or keras or pandas or monitoring)"
 prebuildclean:
 	@+python -c "import shutil; shutil.rmtree('build', True)"
 	@+python -c "import shutil; shutil.rmtree('dist', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm.egg-info', True)"
 coverclean:
 	@+python -c "import os; os.remove('.coverage') if os.path.exists('.coverage') else None"
+	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('.coverage.*')]"
+	@+python -c "import shutil; shutil.rmtree('tests/__pycache__', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm/__pycache__', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm/contrib/__pycache__', True)"
-	@+python -c "import shutil; shutil.rmtree('tqdm/tests/__pycache__', True)"
+	@+python -c "import shutil; shutil.rmtree('tqdm/examples/__pycache__', True)"
 clean:
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('*.py[co]')]"
+	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tests/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/contrib/*.py[co]')]"
-	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/tests/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/examples/*.py[co]')]"
 toxclean:
 	@+python -c "import shutil; shutil.rmtree('.tox', True)"

=== debian/changelog ===
tqdm (4.51.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * debian/patches
    - remove patch, no longer required
  * switch to nose to pytest
  * debian/control
    - build/test/install for all availble python3 versions

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Oct 2020 23:28:37 -0400

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3,
+               python3-all,
                python3-docopt,
-               python3-nose,
                python3-pandas,
+               python3-pytest,
                python3-setuptools,
 Standards-Version: 4.5.0
 Homepage: https://github.com/tqdm/tqdm
-Vcs-Git: https://salsa.debian.org/python-team/modules/tqdm.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/tqdm
+Vcs-Git: https://salsa.debian.org/python-team/packages/tqdm.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/tqdm
 
 Package: python3-tqdm
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=--verbose -k 'not test_comppath and not test_imap and not test_manpath'

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	dh_installman -ppython3-tqdm tqdm/tqdm.1

override_dh_installdocs:
	dh_installdocs -A CONTRIBUTING.md README.rst

override_dh_installexamples:
	dh_installexamples -A examples/*

override_dh_compress:
	dh_compress -X.py

## tqdm 4.57.0

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	testtimer
 	distclean
 	coverclean
-	pre-commit
 	prebuildclean
 	clean
 	toxclean
@@ -62,14 +61,14 @@
 
 testcoverage:
 	@make coverclean
-	pytest -k "not tests_perf" --cov=tqdm --cov-fail-under=80
+	pytest -k "not perf" --cov=tqdm --cov-report=xml --cov-report=term --cov-fail-under=80
 
 testperf:
 	# do not use coverage (which is extremely slow)
-	pytest -k tests_perf
+	pytest -k perf
 
 testtimer:
-	pytest --durations=10
+	pytest
 
 # another performance test, to check evolution across commits
 testasv:
@@ -102,40 +101,37 @@
 README.rst: .meta/.readme.rst tqdm/std.py tqdm/cli.py
 	@python .meta/mkdocs.py
 
-snapcraft.yaml: .meta/.snapcraft.yml
-	cat "$<" | sed -e 's/{version}/'"`python -m tqdm --version`"'/g' \
-    -e 's/{commit}/'"`git describe --always`"'/g' \
-    -e 's/{source}/./g' -e 's/{icon}/logo.png/g' \
-    -e 's/{description}/https:\/\/tqdm.github.io/g' > "$@"
+snapcraft.yaml: .meta/mksnap.py
+	@python .meta/mksnap.py
 
-.dockerignore: .gitignore
-	cat $^ > "$@"
-	echo ".git" > "$@"
-	git clean -xdn | sed -nr 's/^Would remove (.*)$$/\1/p' >> "$@"
+.dockerignore:
+	@+python -c "fd=open('.dockerignore', 'w'); fd.write('*\n!dist/*.whl\n')"
+
+Dockerfile:
+	@+python -c 'fd=open("Dockerfile", "w"); fd.write("FROM python:3.8-alpine\nCOPY dist/*.whl .\nRUN pip install -U $$(ls ./*.whl) && rm ./*.whl\nENTRYPOINT [\"tqdm\"]\n")'
 
 distclean:
 	@+make coverclean
 	@+make prebuildclean
 	@+make clean
-pre-commit:
-	# quick sanity checks
-	@make --no-print-directory testsetup
-	flake8 -j 8 --count --statistics tqdm/ tests/ examples/
-	pytest -qq -k "basic_overhead or not (perf or keras or pandas or monitoring)"
 prebuildclean:
 	@+python -c "import shutil; shutil.rmtree('build', True)"
 	@+python -c "import shutil; shutil.rmtree('dist', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm.egg-info', True)"
+	@+python -c "import shutil; shutil.rmtree('.eggs', True)"
+	@+python -c "import os; os.remove('tqdm/_dist_ver.py') if os.path.exists('tqdm/_dist_ver.py') else None"
 coverclean:
 	@+python -c "import os; os.remove('.coverage') if os.path.exists('.coverage') else None"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('.coverage.*')]"
 	@+python -c "import shutil; shutil.rmtree('tests/__pycache__', True)"
+	@+python -c "import shutil; shutil.rmtree('benchmarks/__pycache__', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm/__pycache__', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm/contrib/__pycache__', True)"
 	@+python -c "import shutil; shutil.rmtree('tqdm/examples/__pycache__', True)"
 clean:
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tests/*.py[co]')]"
+	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('benchmarks/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/contrib/*.py[co]')]"
 	@+python -c "import os, glob; [os.remove(i) for i in glob.glob('tqdm/examples/*.py[co]')]"
@@ -172,9 +168,9 @@
 	@make -B snapcraft.yaml
 	snapcraft
 docker:
+	@make build
 	@make .dockerignore
-	@make coverclean
-	@make clean
+	@make Dockerfile
 	docker build . -t tqdm/tqdm
 	docker tag tqdm/tqdm:latest tqdm/tqdm:$(shell docker run -i --rm tqdm/tqdm -v)
 none:

=== debian/changelog ===
tqdm (4.57.0-2) unstable; urgency=medium

  * debian/patches/dont-use-setuptools-scm.patch
    - since we disabled setuptools_scm, we need to explicly retrieve and set
      tqdm version, so that egginfo has the right version too; Closes: #983007

 -- Sandro Tosi <morph@debian.org>  Fri, 05 Mar 2021 03:57:27 -0500

tqdm (4.57.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/pytest6-compat.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Wed, 17 Feb 2021 23:24:33 -0500

tqdm (4.56.2-1) unstable; urgency=medium

  * New upstream release; Closes: #980680
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/patches/dont-use-setuptools-scm.patch
    - dont use setuptools scm
  * debian/patches/pytest6-compat.patch
    - drop durations-min, not compatible with the version of pytest we have in
      unstable at this time
    - remove -W=error, several warnings with Pandas need to be resolved first
  * debian/patches/*
    - refresh patches
  * debian/control
    - add keras, pytest-asyncio, rich, tk to b-d, needed by tests
    - bump Standards-Version to 4.5.1 (no changes needed)
  * debian/rules
    - disable test_keras, currently failing in theano
  * debian/watch
    - bump version to 4

 -- Sandro Tosi <morph@debian.org>  Wed, 17 Feb 2021 01:11:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,19 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-docopt,
-               python3-pandas,
-               python3-pytest,
+               python3-keras <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
+               python3-rich <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.5.0
+               python3-tk <!nocheck>,
+Standards-Version: 4.5.1
 Homepage: https://github.com/tqdm/tqdm
 Vcs-Git: https://salsa.debian.org/python-team/packages/tqdm.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tqdm

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export PYBUILD_TEST_ARGS=--verbose -k 'not test_comppath and not test_imap and not test_manpath'
+export PYBUILD_TEST_ARGS=--verbose -k 'not test_comppath and not test_imap and not test_manpath and not test_keras'
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## tqdm 4.64.0

=== debian/changelog ===
tqdm (4.64.0-2) unstable; urgency=medium

  * Team upload.
  * Drop unused test dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 15 Apr 2022 21:05:35 +0200

tqdm (4.64.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Make "Files: *" paragraph the first in the copyright file.

  [ Jochen Sprickerhof ]
  * New upstream version 4.64.0 (Closes: #997477)
  * Rebase patch
  * Drop pytest6-compat patch (pytest was updated)
  * bump policy version (no changes)
  * Add new test dependency
  * Fix d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 14 Apr 2022 23:04:01 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
                dh-python,
                python3-all,
                python3-docopt,
-               python3-keras <!nocheck>,
                python3-pandas <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
+               python3-pytest-timeout <!nocheck>,
                python3-rich <!nocheck>,
                python3-setuptools,
                python3-tk <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/tqdm/tqdm
 Vcs-Git: https://salsa.debian.org/python-team/packages/tqdm.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tqdm

## tqdm 4.64.1

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	test
 	pytest
 	testsetup
+	testnb
 	testcoverage
 	testperf
 	testtimer
@@ -18,7 +19,7 @@
 	prebuildclean
 	clean
 	toxclean
-	installdev
+	install_dev
 	install
 	build
 	buildupload
@@ -43,7 +44,8 @@
 	@+make build
 
 flake8:
-	@+flake8 -j 8 --count --statistics --exit-zero .
+	@+pre-commit run -a flake8
+	@+pre-commit run -a nbstripout
 
 test:
 	TOX_SKIP_ENV=perf tox --skip-missing-interpreters -p all
@@ -59,9 +61,13 @@
 	python setup.py check --metadata --restructuredtext --strict
 	python setup.py make none
 
+testnb:
+	pytest tests_notebook.ipynb --nbval --nbval-current-env -W=ignore --nbval-sanitize-with=setup.cfg --cov=tqdm.notebook --cov-report=term
+
 testcoverage:
 	@make coverclean
-	pytest -k "not perf" --cov=tqdm --cov-report=xml --cov-report=term --cov-fail-under=80
+	pytest tests_notebook.ipynb --cov=tqdm --cov-report= --nbval --nbval-current-env --nbval-sanitize-with=setup.cfg -W=ignore
+	pytest -k "not perf" --cov=tqdm --cov-report=xml --cov-report=term --cov-append --cov-fail-under=80
 
 testperf:
 	# do not use coverage (which is extremely slow)
@@ -139,9 +145,6 @@
 	@+python -c "import shutil; shutil.rmtree('.tox', True)"
 
 
-installdev:
-	python setup.py develop --uninstall
-	python setup.py develop
 submodules:
 	git clone git@github.com:tqdm/tqdm.wiki wiki
 	git clone git@github.com:tqdm/tqdm.github.io docs
@@ -150,6 +153,14 @@
 
 install:
 	python setup.py install
+install_dev:
+	python setup.py develop --uninstall
+	python setup.py develop
+install_build:
+	python -m pip install -r .meta/requirements-dev.txt
+install_test:
+	python -m pip install -r .meta/requirements-test.txt
+	pre-commit install
 
 build:
 	@make prebuildclean

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-docopt,
                python3-pandas <!nocheck>,
@@ -14,7 +14,7 @@
                python3-rich <!nocheck>,
                python3-setuptools,
                python3-tk <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2.0
 Homepage: https://github.com/tqdm/tqdm
 Vcs-Git: https://salsa.debian.org/python-team/packages/tqdm.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tqdm

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tqdm/tqdm-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
